@charset "utf-8";

/* common elements */
/* ------------------------------ */

*,
*:hover,
*:focus,
*:active,
::after,
::before {
    outline: 0;
    word-break: keep-all;
    box-sizing: border-box;
    -moz-box-sizing: border-box;
    -webkit-box-sizing: border-box;
}

ul,
ol,
li {
    margin: 0;
    padding: 0;
    list-style: none;
}

button:focus {
    outline: 0;
}

textarea {
    resize: none;
}

.ani {
    transition: all .20s ease-in-out;
    -o-transition: all .20s ease-in-out;
    -ms-transition: all .20s ease-in-out;
    -moz-transition: all .20s ease-in-out;
    -webkit-transition: all .20s ease-in-out;
}

.blur {
    filter: blur(5px);
    -o-filter: blur(5px);
    -ms-filter: blur(5px);
    -moz-filter: blur(5px);
    -webkit-filter: blur(5px);
    transition: all .15s ease-in-out;
    -o-transition: all .15s ease-in-out;
    -ms-transition: all .15s ease-in-out;
    -moz-transition: all .15s ease-in-out;
    -webkit-transition: all .15s ease-in-out;
}

.scale {
    transform: scale(1);
    -o-transform: scale(1);
    -ms-transform: scale(1);
    -moz-transform: scale(1);
    -webkit-transform: scale(1);
    transition: all .15s ease-in-out;
    -o-transition: all .15s ease-in-out;
    -ms-transition: all .15s ease-in-out;
    -moz-transition: all .15s ease-in-out;
    -webkit-transition: all .15s ease-in-out;
}

.scale:hover {
    transform: scale(1.05);
    -o-transform: scale(1.05);
    -ms-transform: scale(1.05);
    -moz-transform: scale(1.05);
    -webkit-transform: scale(1.05);
}

.ellipse {
    overflow: hidden;
    word-wrap: normal;
    white-space: nowrap;
    text-overflow: ellipsis;
    -o-text-overflow: ellipsis;
}

.clearFix,
.clearBoth {
    clear: both;
    display: block;
    overflow: hidden;
    height: 0 !important;
    border: 0 !important
}

.input-flex-group {
    display: flex;
    display: -ms-flexbox;
    flex-direction: column;
    -ms-flex-direction: column;
}

.input-flex-group label {
    order: -1;
    margin-bottom: .25rem;
}

.input-flex-group input,
.input-flex-group select,
.input-flex-group textarea {
    order: 0;
}

.section-area {
    padding: 1rem;
    border-radius: .25rem;
    background: rgba(51, 51, 151, .2)
}

/* customizing bootstrap */
/* ------------------------------ */

h1,
h2,
h3 {
    margin-bottom: 0;
}

label {
    margin-bottom: 0;
}

/* modal */

.modal-content {
    border-radius: 0;
    border: none !important;
}

.modal-header {
    border-bottom: none;
    border-top-left-radius: 0;
    border-top-right-radius: 0;
    padding: 1.5rem 1.5rem 1rem 1.5rem;
}

.modal-header .modal-close {
    top: 10px;
    opacity: .5;
    right: 10px;
    width: 30px;
    height: 30px;
    padding: 2px;
    cursor: pointer;
    text-align: center;
    position: absolute;
}

.modal-header .modal-close:hover {
    opacity: 1;
}

.modal-body {
    padding: 0 1.5rem;
}

.modal-footer {
    border-top: none;
    border-bottom-left-radius: 0;
    border-bottom-right-radius: 0;
    padding: 1rem 1.5rem 1.5rem 1.5rem;
}

/* navigation */

.nav-link {
    white-space: nowrap;
}

/* table */

.table {
    margin-bottom: 0;
}

.table th,
.table td {
    vertical-align: middle;
    padding: 0.6rem 0.75rem;
}

.table.text-left th,
.table.text-left td {
    text-align: left;
}

.table.text-center th,
.table.text-center td {
    text-align: center;
}

.table.text-right th,
.table.text-right td {
    text-align: right;
}

.table thead th {
    background-color: #f9f9f9;
    padding-top: 0.7rem !important;
    padding-bottom: 0.7rem !important;
    border-bottom: 1px solid #dee2e6;
}

.table tr:last-child th,
.table tr:last-child td {
    border-bottom: 1px solid #dee2e6;
}

.table-bordered thead th,
.table-bordered thead td {
    border-bottom-width: 1px;
}

.table-hover tbody tr:hover {
    background-color: rgba(0, 0, 0, 0.02);
}

.table-sm th,
.table-sm td {
    padding: 0.3rem;
}

.table-left th,
.table-left td {
    text-align: left;
}
.table-center th,
.table-center td {
    text-align: center;
}
.table-right th,
.table-right td {
    text-align: right;
}

/* table option */

.table thead .sort-th {
    cursor: pointer;
}

.table thead .sort-icon {
    opacity: .25;
}

.table thead .sort-th:hover .sort-icon,
.table thead .sort-th:focus .sort-icon,
.table thead .sort-th:active .sort-icon {
    opacity: .5;
}

.table thead .sort-th.active .sort-icon {
    opacity: .75;
}

.table .split,
.table .split th,
.table .split td {
    border-top: 1px solid #96a0a5 !important;
}

.table .split-bottom,
.table .split-bottom th,
.table .split-bottom td {
    border-bottom: 1px solid #96a0a5 !important;
}

/* form */

.form-control::placeholder {
    color: #ccc;
    font-size: 90%;
}

/* button */

.btn.focus,
.btn:focus {
    outline: 0;
    box-shadow: 0 0 0 .2em rgba(29, 64, 118, .2)
}

.btn.disabled,
.btn:disabled,
.btn:focus[disabled],
.btn:hover[disabled],
.btn[disabled] {
    /* opacity: .5 !important; */
    color: #999 !important;
    background-color: #eee !important;
    border-color: #ddd !important
}

.btn-radius {
    border-radius: .25rem !important;
}

.btn-radius-sm {
    border-radius: .2rem !important;
}

.btn-radius-lg {
    border-radius: .3rem !important;
}

.btn-radius-none {
    border-radius: 0 !important;
}

/* row utility with row class in bootstrap */

.row-0 {
    margin-left: 0 !important;
    margin-right: 0 !important;
}

.row-0>.col-1,
.row-0>.col-2,
.row-0>.col-3,
.row-0>.col-4,
.row-0>.col-5,
.row-0>.col-6,
.row-0>.col-7,
.row-0>.col-8,
.row-0>.col-9,
.row-0>.col-10,
.row-0>.col-11,
.row-0>.col-12,
.row-0>.col,
.row-0>.col-auto,
.row-0>.col-sm-1,
.row-0>.col-sm-2,
.row-0>.col-sm-3,
.row-0>.col-sm-4,
.row-0>.col-sm-5,
.row-0>.col-sm-6,
.row-0>.col-sm-7,
.row-0>.col-sm-8,
.row-0>.col-sm-9,
.row-0>.col-sm-10,
.row-0>.col-sm-11,
.row-0>.col-sm-12,
.row-0>.col-sm,
.row-0>.col-sm-auto,
.row-0>.col-md-1,
.row-0>.col-md-2,
.row-0>.col-md-3,
.row-0>.col-md-4,
.row-0>.col-md-5,
.row-0>.col-md-6,
.row-0>.col-md-7,
.row-0>.col-md-8,
.row-0>.col-md-9,
.row-0>.col-md-10,
.row-0>.col-md-11,
.row-0>.col-md-12,
.row-0>.col-md,
.row-0>.col-md-auto,
.row-0>.col-lg-1,
.row-0>.col-lg-2,
.row-0>.col-lg-3,
.row-0>.col-lg-4,
.row-0>.col-lg-5,
.row-0>.col-lg-6,
.row-0>.col-lg-7,
.row-0>.col-lg-8,
.row-0>.col-lg-9,
.row-0>.col-lg-10,
.row-0>.col-lg-11,
.row-0>.col-lg-12,
.row-0>.col-lg,
.row-0>.col-lg-auto,
.row-0>.col-xl-1,
.row-0>.col-xl-2,
.row-0>.col-xl-3,
.row-0>.col-xl-4,
.row-0>.col-xl-5,
.row-0>.col-xl-6,
.row-0>.col-xl-7,
.row-0>.col-xl-8,
.row-0>.col-xl-9,
.row-0>.col-xl-10,
.row-0>.col-xl-11,
.row-0>.col-xl-12,
.row-0>.col-xl,
.row-0>.col-xl-auto {
    padding-left: 0 !important;
    padding-right: 0 !important;
}

.row-2px {
    margin-left: -2px !important;
    margin-right: -2px !important;
}

.row-2px>.col-1,
.row-2px>.col-2,
.row-2px>.col-3,
.row-2px>.col-4,
.row-2px>.col-5,
.row-2px>.col-6,
.row-2px>.col-7,
.row-2px>.col-8,
.row-2px>.col-9,
.row-2px>.col-10,
.row-2px>.col-11,
.row-2px>.col-12,
.row-2px>.col,
.row-2px>.col-auto,
.row-2px>.col-sm-1,
.row-2px>.col-sm-2,
.row-2px>.col-sm-3,
.row-2px>.col-sm-4,
.row-2px>.col-sm-5,
.row-2px>.col-sm-6,
.row-2px>.col-sm-7,
.row-2px>.col-sm-8,
.row-2px>.col-sm-9,
.row-2px>.col-sm-10,
.row-2px>.col-sm-11,
.row-2px>.col-sm-12,
.row-2px>.col-sm,
.row-2px>.col-sm-auto,
.row-2px>.col-md-1,
.row-2px>.col-md-2,
.row-2px>.col-md-3,
.row-2px>.col-md-4,
.row-2px>.col-md-5,
.row-2px>.col-md-6,
.row-2px>.col-md-7,
.row-2px>.col-md-8,
.row-2px>.col-md-9,
.row-2px>.col-md-10,
.row-2px>.col-md-11,
.row-2px>.col-md-12,
.row-2px>.col-md,
.row-2px>.col-md-auto,
.row-2px>.col-lg-1,
.row-2px>.col-lg-2,
.row-2px>.col-lg-3,
.row-2px>.col-lg-4,
.row-2px>.col-lg-5,
.row-2px>.col-lg-6,
.row-2px>.col-lg-7,
.row-2px>.col-lg-8,
.row-2px>.col-lg-9,
.row-2px>.col-lg-10,
.row-2px>.col-lg-11,
.row-2px>.col-lg-12,
.row-2px>.col-lg,
.row-2px>.col-lg-auto,
.row-2px>.col-xl-1,
.row-2px>.col-xl-2,
.row-2px>.col-xl-3,
.row-2px>.col-xl-4,
.row-2px>.col-xl-5,
.row-2px>.col-xl-6,
.row-2px>.col-xl-7,
.row-2px>.col-xl-8,
.row-2px>.col-xl-9,
.row-2px>.col-xl-10,
.row-2px>.col-xl-11,
.row-2px>.col-xl-12,
.row-2px>.col-xl,
.row-2px>.col-xl-auto {
    padding-left: 2px !important;
    padding-right: 2px !important;
}

.row-5px {
    margin-left: -5px !important;
    margin-right: -5px !important;
}

.row-5px>.col-1,
.row-5px>.col-2,
.row-5px>.col-3,
.row-5px>.col-4,
.row-5px>.col-5,
.row-5px>.col-6,
.row-5px>.col-7,
.row-5px>.col-8,
.row-5px>.col-9,
.row-5px>.col-10,
.row-5px>.col-11,
.row-5px>.col-12,
.row-5px>.col,
.row-5px>.col-auto,
.row-5px>.col-sm-1,
.row-5px>.col-sm-2,
.row-5px>.col-sm-3,
.row-5px>.col-sm-4,
.row-5px>.col-sm-5,
.row-5px>.col-sm-6,
.row-5px>.col-sm-7,
.row-5px>.col-sm-8,
.row-5px>.col-sm-9,
.row-5px>.col-sm-10,
.row-5px>.col-sm-11,
.row-5px>.col-sm-12,
.row-5px>.col-sm,
.row-5px>.col-sm-auto,
.row-5px>.col-md-1,
.row-5px>.col-md-2,
.row-5px>.col-md-3,
.row-5px>.col-md-4,
.row-5px>.col-md-5,
.row-5px>.col-md-6,
.row-5px>.col-md-7,
.row-5px>.col-md-8,
.row-5px>.col-md-9,
.row-5px>.col-md-10,
.row-5px>.col-md-11,
.row-5px>.col-md-12,
.row-5px>.col-md,
.row-5px>.col-md-auto,
.row-5px>.col-lg-1,
.row-5px>.col-lg-2,
.row-5px>.col-lg-3,
.row-5px>.col-lg-4,
.row-5px>.col-lg-5,
.row-5px>.col-lg-6,
.row-5px>.col-lg-7,
.row-5px>.col-lg-8,
.row-5px>.col-lg-9,
.row-5px>.col-lg-10,
.row-5px>.col-lg-11,
.row-5px>.col-lg-12,
.row-5px>.col-lg,
.row-5px>.col-lg-auto,
.row-5px>.col-xl-1,
.row-5px>.col-xl-2,
.row-5px>.col-xl-3,
.row-5px>.col-xl-4,
.row-5px>.col-xl-5,
.row-5px>.col-xl-6,
.row-5px>.col-xl-7,
.row-5px>.col-xl-8,
.row-5px>.col-xl-9,
.row-5px>.col-xl-10,
.row-5px>.col-xl-11,
.row-5px>.col-xl-12,
.row-5px>.col-xl,
.row-5px>.col-xl-auto {
    padding-left: 5px !important;
    padding-right: 5px !important;
}

.row-10px {
    margin-left: -10px !important;
    margin-right: -10px !important;
}

.row-10px>.col-1,
.row-10px>.col-2,
.row-10px>.col-3,
.row-10px>.col-4,
.row-10px>.col-5,
.row-10px>.col-6,
.row-10px>.col-7,
.row-10px>.col-8,
.row-10px>.col-9,
.row-10px>.col-10,
.row-10px>.col-11,
.row-10px>.col-12,
.row-10px>.col,
.row-10px>.col-auto,
.row-10px>.col-sm-1,
.row-10px>.col-sm-2,
.row-10px>.col-sm-3,
.row-10px>.col-sm-4,
.row-10px>.col-sm-5,
.row-10px>.col-sm-6,
.row-10px>.col-sm-7,
.row-10px>.col-sm-8,
.row-10px>.col-sm-9,
.row-10px>.col-sm-10,
.row-10px>.col-sm-11,
.row-10px>.col-sm-12,
.row-10px>.col-sm,
.row-10px>.col-sm-auto,
.row-10px>.col-md-1,
.row-10px>.col-md-2,
.row-10px>.col-md-3,
.row-10px>.col-md-4,
.row-10px>.col-md-5,
.row-10px>.col-md-6,
.row-10px>.col-md-7,
.row-10px>.col-md-8,
.row-10px>.col-md-9,
.row-10px>.col-md-10,
.row-10px>.col-md-11,
.row-10px>.col-md-12,
.row-10px>.col-md,
.row-10px>.col-md-auto,
.row-10px>.col-lg-1,
.row-10px>.col-lg-2,
.row-10px>.col-lg-3,
.row-10px>.col-lg-4,
.row-10px>.col-lg-5,
.row-10px>.col-lg-6,
.row-10px>.col-lg-7,
.row-10px>.col-lg-8,
.row-10px>.col-lg-9,
.row-10px>.col-lg-10,
.row-10px>.col-lg-11,
.row-10px>.col-lg-12,
.row-10px>.col-lg,
.row-10px>.col-lg-auto,
.row-10px>.col-xl-1,
.row-10px>.col-xl-2,
.row-10px>.col-xl-3,
.row-10px>.col-xl-4,
.row-10px>.col-xl-5,
.row-10px>.col-xl-6,
.row-10px>.col-xl-7,
.row-10px>.col-xl-8,
.row-10px>.col-xl-9,
.row-10px>.col-xl-10,
.row-10px>.col-xl-11,
.row-10px>.col-xl-12,
.row-10px>.col-xl,
.row-10px>.col-xl-auto {
    padding-left: 10px !important;
    padding-right: 10px !important;
}

.row-15px {
    margin-left: -15px !important;
    margin-right: -15px !important;
}

.row-15px>.col-1,
.row-15px>.col-2,
.row-15px>.col-3,
.row-15px>.col-4,
.row-15px>.col-5,
.row-15px>.col-6,
.row-15px>.col-7,
.row-15px>.col-8,
.row-15px>.col-9,
.row-15px>.col-10,
.row-15px>.col-11,
.row-15px>.col-12,
.row-15px>.col,
.row-15px>.col-auto,
.row-15px>.col-sm-1,
.row-15px>.col-sm-2,
.row-15px>.col-sm-3,
.row-15px>.col-sm-4,
.row-15px>.col-sm-5,
.row-15px>.col-sm-6,
.row-15px>.col-sm-7,
.row-15px>.col-sm-8,
.row-15px>.col-sm-9,
.row-15px>.col-sm-10,
.row-15px>.col-sm-11,
.row-15px>.col-sm-12,
.row-15px>.col-sm,
.row-15px>.col-sm-auto,
.row-15px>.col-md-1,
.row-15px>.col-md-2,
.row-15px>.col-md-3,
.row-15px>.col-md-4,
.row-15px>.col-md-5,
.row-15px>.col-md-6,
.row-15px>.col-md-7,
.row-15px>.col-md-8,
.row-15px>.col-md-9,
.row-15px>.col-md-10,
.row-15px>.col-md-11,
.row-15px>.col-md-12,
.row-15px>.col-md,
.row-15px>.col-md-auto,
.row-15px>.col-lg-1,
.row-15px>.col-lg-2,
.row-15px>.col-lg-3,
.row-15px>.col-lg-4,
.row-15px>.col-lg-5,
.row-15px>.col-lg-6,
.row-15px>.col-lg-7,
.row-15px>.col-lg-8,
.row-15px>.col-lg-9,
.row-15px>.col-lg-10,
.row-15px>.col-lg-11,
.row-15px>.col-lg-12,
.row-15px>.col-lg,
.row-15px>.col-lg-auto,
.row-15px>.col-xl-1,
.row-15px>.col-xl-2,
.row-15px>.col-xl-3,
.row-15px>.col-xl-4,
.row-15px>.col-xl-5,
.row-15px>.col-xl-6,
.row-15px>.col-xl-7,
.row-15px>.col-xl-8,
.row-15px>.col-xl-9,
.row-15px>.col-xl-10,
.row-15px>.col-xl-11,
.row-15px>.col-xl-12,
.row-15px>.col-xl,
.row-15px>.col-xl-auto {
    padding-left: 15px !important;
    padding-right: 15px !important;
}

.row-20px {
    margin-left: -20px !important;
    margin-right: -20px !important;
}

.row-20px>.col-1,
.row-20px>.col-2,
.row-20px>.col-3,
.row-20px>.col-4,
.row-20px>.col-5,
.row-20px>.col-6,
.row-20px>.col-7,
.row-20px>.col-8,
.row-20px>.col-9,
.row-20px>.col-10,
.row-20px>.col-11,
.row-20px>.col-12,
.row-20px>.col,
.row-20px>.col-auto,
.row-20px>.col-sm-1,
.row-20px>.col-sm-2,
.row-20px>.col-sm-3,
.row-20px>.col-sm-4,
.row-20px>.col-sm-5,
.row-20px>.col-sm-6,
.row-20px>.col-sm-7,
.row-20px>.col-sm-8,
.row-20px>.col-sm-9,
.row-20px>.col-sm-10,
.row-20px>.col-sm-11,
.row-20px>.col-sm-12,
.row-20px>.col-sm,
.row-20px>.col-sm-auto,
.row-20px>.col-md-1,
.row-20px>.col-md-2,
.row-20px>.col-md-3,
.row-20px>.col-md-4,
.row-20px>.col-md-5,
.row-20px>.col-md-6,
.row-20px>.col-md-7,
.row-20px>.col-md-8,
.row-20px>.col-md-9,
.row-20px>.col-md-10,
.row-20px>.col-md-11,
.row-20px>.col-md-12,
.row-20px>.col-md,
.row-20px>.col-md-auto,
.row-20px>.col-lg-1,
.row-20px>.col-lg-2,
.row-20px>.col-lg-3,
.row-20px>.col-lg-4,
.row-20px>.col-lg-5,
.row-20px>.col-lg-6,
.row-20px>.col-lg-7,
.row-20px>.col-lg-8,
.row-20px>.col-lg-9,
.row-20px>.col-lg-10,
.row-20px>.col-lg-11,
.row-20px>.col-lg-12,
.row-20px>.col-lg,
.row-20px>.col-lg-auto,
.row-20px>.col-xl-1,
.row-20px>.col-xl-2,
.row-20px>.col-xl-3,
.row-20px>.col-xl-4,
.row-20px>.col-xl-5,
.row-20px>.col-xl-6,
.row-20px>.col-xl-7,
.row-20px>.col-xl-8,
.row-20px>.col-xl-9,
.row-20px>.col-xl-10,
.row-20px>.col-xl-11,
.row-20px>.col-xl-12,
.row-20px>.col-xl,
.row-20px>.col-xl-auto {
    padding-left: 20px !important;
    padding-right: 20px !important;
}

.row-25px {
    margin-left: -25px !important;
    margin-right: -25px !important;
}

.row-25px>.col-1,
.row-25px>.col-2,
.row-25px>.col-3,
.row-25px>.col-4,
.row-25px>.col-5,
.row-25px>.col-6,
.row-25px>.col-7,
.row-25px>.col-8,
.row-25px>.col-9,
.row-25px>.col-10,
.row-25px>.col-11,
.row-25px>.col-12,
.row-25px>.col,
.row-25px>.col-auto,
.row-25px>.col-sm-1,
.row-25px>.col-sm-2,
.row-25px>.col-sm-3,
.row-25px>.col-sm-4,
.row-25px>.col-sm-5,
.row-25px>.col-sm-6,
.row-25px>.col-sm-7,
.row-25px>.col-sm-8,
.row-25px>.col-sm-9,
.row-25px>.col-sm-10,
.row-25px>.col-sm-11,
.row-25px>.col-sm-12,
.row-25px>.col-sm,
.row-25px>.col-sm-auto,
.row-25px>.col-md-1,
.row-25px>.col-md-2,
.row-25px>.col-md-3,
.row-25px>.col-md-4,
.row-25px>.col-md-5,
.row-25px>.col-md-6,
.row-25px>.col-md-7,
.row-25px>.col-md-8,
.row-25px>.col-md-9,
.row-25px>.col-md-10,
.row-25px>.col-md-11,
.row-25px>.col-md-12,
.row-25px>.col-md,
.row-25px>.col-md-auto,
.row-25px>.col-lg-1,
.row-25px>.col-lg-2,
.row-25px>.col-lg-3,
.row-25px>.col-lg-4,
.row-25px>.col-lg-5,
.row-25px>.col-lg-6,
.row-25px>.col-lg-7,
.row-25px>.col-lg-8,
.row-25px>.col-lg-9,
.row-25px>.col-lg-10,
.row-25px>.col-lg-11,
.row-25px>.col-lg-12,
.row-25px>.col-lg,
.row-25px>.col-lg-auto,
.row-25px>.col-xl-1,
.row-25px>.col-xl-2,
.row-25px>.col-xl-3,
.row-25px>.col-xl-4,
.row-25px>.col-xl-5,
.row-25px>.col-xl-6,
.row-25px>.col-xl-7,
.row-25px>.col-xl-8,
.row-25px>.col-xl-9,
.row-25px>.col-xl-10,
.row-25px>.col-xl-11,
.row-25px>.col-xl-12,
.row-25px>.col-xl,
.row-25px>.col-xl-auto {
    padding-left: 25px !important;
    padding-right: 25px !important;
}

.row-30px {
    margin-left: -30px !important;
    margin-right: -30px !important;
}

.row-30px>.col-1,
.row-30px>.col-2,
.row-30px>.col-3,
.row-30px>.col-4,
.row-30px>.col-5,
.row-30px>.col-6,
.row-30px>.col-7,
.row-30px>.col-8,
.row-30px>.col-9,
.row-30px>.col-10,
.row-30px>.col-11,
.row-30px>.col-12,
.row-30px>.col,
.row-30px>.col-auto,
.row-30px>.col-sm-1,
.row-30px>.col-sm-2,
.row-30px>.col-sm-3,
.row-30px>.col-sm-4,
.row-30px>.col-sm-5,
.row-30px>.col-sm-6,
.row-30px>.col-sm-7,
.row-30px>.col-sm-8,
.row-30px>.col-sm-9,
.row-30px>.col-sm-10,
.row-30px>.col-sm-11,
.row-30px>.col-sm-12,
.row-30px>.col-sm,
.row-30px>.col-sm-auto,
.row-30px>.col-md-1,
.row-30px>.col-md-2,
.row-30px>.col-md-3,
.row-30px>.col-md-4,
.row-30px>.col-md-5,
.row-30px>.col-md-6,
.row-30px>.col-md-7,
.row-30px>.col-md-8,
.row-30px>.col-md-9,
.row-30px>.col-md-10,
.row-30px>.col-md-11,
.row-30px>.col-md-12,
.row-30px>.col-md,
.row-30px>.col-md-auto,
.row-30px>.col-lg-1,
.row-30px>.col-lg-2,
.row-30px>.col-lg-3,
.row-30px>.col-lg-4,
.row-30px>.col-lg-5,
.row-30px>.col-lg-6,
.row-30px>.col-lg-7,
.row-30px>.col-lg-8,
.row-30px>.col-lg-9,
.row-30px>.col-lg-10,
.row-30px>.col-lg-11,
.row-30px>.col-lg-12,
.row-30px>.col-lg,
.row-30px>.col-lg-auto,
.row-30px>.col-xl-1,
.row-30px>.col-xl-2,
.row-30px>.col-xl-3,
.row-30px>.col-xl-4,
.row-30px>.col-xl-5,
.row-30px>.col-xl-6,
.row-30px>.col-xl-7,
.row-30px>.col-xl-8,
.row-30px>.col-xl-9,
.row-30px>.col-xl-10,
.row-30px>.col-xl-11,
.row-30px>.col-xl-12,
.row-30px>.col-xl,
.row-30px>.col-xl-auto {
    padding-left: 30px !important;
    padding-right: 30px !important;
}

.row-35px {
    margin-left: -35px !important;
    margin-right: -35px !important;
}

.row-35px>.col-1,
.row-35px>.col-2,
.row-35px>.col-3,
.row-35px>.col-4,
.row-35px>.col-5,
.row-35px>.col-6,
.row-35px>.col-7,
.row-35px>.col-8,
.row-35px>.col-9,
.row-35px>.col-10,
.row-35px>.col-11,
.row-35px>.col-12,
.row-35px>.col,
.row-35px>.col-auto,
.row-35px>.col-sm-1,
.row-35px>.col-sm-2,
.row-35px>.col-sm-3,
.row-35px>.col-sm-4,
.row-35px>.col-sm-5,
.row-35px>.col-sm-6,
.row-35px>.col-sm-7,
.row-35px>.col-sm-8,
.row-35px>.col-sm-9,
.row-35px>.col-sm-10,
.row-35px>.col-sm-11,
.row-35px>.col-sm-12,
.row-35px>.col-sm,
.row-35px>.col-sm-auto,
.row-35px>.col-md-1,
.row-35px>.col-md-2,
.row-35px>.col-md-3,
.row-35px>.col-md-4,
.row-35px>.col-md-5,
.row-35px>.col-md-6,
.row-35px>.col-md-7,
.row-35px>.col-md-8,
.row-35px>.col-md-9,
.row-35px>.col-md-10,
.row-35px>.col-md-11,
.row-35px>.col-md-12,
.row-35px>.col-md,
.row-35px>.col-md-auto,
.row-35px>.col-lg-1,
.row-35px>.col-lg-2,
.row-35px>.col-lg-3,
.row-35px>.col-lg-4,
.row-35px>.col-lg-5,
.row-35px>.col-lg-6,
.row-35px>.col-lg-7,
.row-35px>.col-lg-8,
.row-35px>.col-lg-9,
.row-35px>.col-lg-10,
.row-35px>.col-lg-11,
.row-35px>.col-lg-12,
.row-35px>.col-lg,
.row-35px>.col-lg-auto,
.row-35px>.col-xl-1,
.row-35px>.col-xl-2,
.row-35px>.col-xl-3,
.row-35px>.col-xl-4,
.row-35px>.col-xl-5,
.row-35px>.col-xl-6,
.row-35px>.col-xl-7,
.row-35px>.col-xl-8,
.row-35px>.col-xl-9,
.row-35px>.col-xl-10,
.row-35px>.col-xl-11,
.row-35px>.col-xl-12,
.row-35px>.col-xl,
.row-35px>.col-xl-auto {
    padding-left: 35px !important;
    padding-right: 35px !important;
}

.row-40px {
    margin-left: -40px !important;
    margin-right: -40px !important;
}

.row-40px>.col-1,
.row-40px>.col-2,
.row-40px>.col-3,
.row-40px>.col-4,
.row-40px>.col-5,
.row-40px>.col-6,
.row-40px>.col-7,
.row-40px>.col-8,
.row-40px>.col-9,
.row-40px>.col-10,
.row-40px>.col-11,
.row-40px>.col-12,
.row-40px>.col,
.row-40px>.col-auto,
.row-40px>.col-sm-1,
.row-40px>.col-sm-2,
.row-40px>.col-sm-3,
.row-40px>.col-sm-4,
.row-40px>.col-sm-5,
.row-40px>.col-sm-6,
.row-40px>.col-sm-7,
.row-40px>.col-sm-8,
.row-40px>.col-sm-9,
.row-40px>.col-sm-10,
.row-40px>.col-sm-11,
.row-40px>.col-sm-12,
.row-40px>.col-sm,
.row-40px>.col-sm-auto,
.row-40px>.col-md-1,
.row-40px>.col-md-2,
.row-40px>.col-md-3,
.row-40px>.col-md-4,
.row-40px>.col-md-5,
.row-40px>.col-md-6,
.row-40px>.col-md-7,
.row-40px>.col-md-8,
.row-40px>.col-md-9,
.row-40px>.col-md-10,
.row-40px>.col-md-11,
.row-40px>.col-md-12,
.row-40px>.col-md,
.row-40px>.col-md-auto,
.row-40px>.col-lg-1,
.row-40px>.col-lg-2,
.row-40px>.col-lg-3,
.row-40px>.col-lg-4,
.row-40px>.col-lg-5,
.row-40px>.col-lg-6,
.row-40px>.col-lg-7,
.row-40px>.col-lg-8,
.row-40px>.col-lg-9,
.row-40px>.col-lg-10,
.row-40px>.col-lg-11,
.row-40px>.col-lg-12,
.row-40px>.col-lg,
.row-40px>.col-lg-auto,
.row-40px>.col-xl-1,
.row-40px>.col-xl-2,
.row-40px>.col-xl-3,
.row-40px>.col-xl-4,
.row-40px>.col-xl-5,
.row-40px>.col-xl-6,
.row-40px>.col-xl-7,
.row-40px>.col-xl-8,
.row-40px>.col-xl-9,
.row-40px>.col-xl-10,
.row-40px>.col-xl-11,
.row-40px>.col-xl-12,
.row-40px>.col-xl,
.row-40px>.col-xl-auto {
    padding-left: 40px !important;
    padding-right: 40px !important;
}

.row-45px {
    margin-left: -45px !important;
    margin-right: -45px !important;
}

.row-45px>.col-1,
.row-45px>.col-2,
.row-45px>.col-3,
.row-45px>.col-4,
.row-45px>.col-5,
.row-45px>.col-6,
.row-45px>.col-7,
.row-45px>.col-8,
.row-45px>.col-9,
.row-45px>.col-10,
.row-45px>.col-11,
.row-45px>.col-12,
.row-45px>.col,
.row-45px>.col-auto,
.row-45px>.col-sm-1,
.row-45px>.col-sm-2,
.row-45px>.col-sm-3,
.row-45px>.col-sm-4,
.row-45px>.col-sm-5,
.row-45px>.col-sm-6,
.row-45px>.col-sm-7,
.row-45px>.col-sm-8,
.row-45px>.col-sm-9,
.row-45px>.col-sm-10,
.row-45px>.col-sm-11,
.row-45px>.col-sm-12,
.row-45px>.col-sm,
.row-45px>.col-sm-auto,
.row-45px>.col-md-1,
.row-45px>.col-md-2,
.row-45px>.col-md-3,
.row-45px>.col-md-4,
.row-45px>.col-md-5,
.row-45px>.col-md-6,
.row-45px>.col-md-7,
.row-45px>.col-md-8,
.row-45px>.col-md-9,
.row-45px>.col-md-10,
.row-45px>.col-md-11,
.row-45px>.col-md-12,
.row-45px>.col-md,
.row-45px>.col-md-auto,
.row-45px>.col-lg-1,
.row-45px>.col-lg-2,
.row-45px>.col-lg-3,
.row-45px>.col-lg-4,
.row-45px>.col-lg-5,
.row-45px>.col-lg-6,
.row-45px>.col-lg-7,
.row-45px>.col-lg-8,
.row-45px>.col-lg-9,
.row-45px>.col-lg-10,
.row-45px>.col-lg-11,
.row-45px>.col-lg-12,
.row-45px>.col-lg,
.row-45px>.col-lg-auto,
.row-45px>.col-xl-1,
.row-45px>.col-xl-2,
.row-45px>.col-xl-3,
.row-45px>.col-xl-4,
.row-45px>.col-xl-5,
.row-45px>.col-xl-6,
.row-45px>.col-xl-7,
.row-45px>.col-xl-8,
.row-45px>.col-xl-9,
.row-45px>.col-xl-10,
.row-45px>.col-xl-11,
.row-45px>.col-xl-12,
.row-45px>.col-xl,
.row-45px>.col-xl-auto {
    padding-left: 45px !important;
    padding-right: 45px !important;
}

.row-50px {
    margin-left: -50px !important;
    margin-right: -50px !important;
}

.row-50px>.col-1,
.row-50px>.col-2,
.row-50px>.col-3,
.row-50px>.col-4,
.row-50px>.col-5,
.row-50px>.col-6,
.row-50px>.col-7,
.row-50px>.col-8,
.row-50px>.col-9,
.row-50px>.col-10,
.row-50px>.col-11,
.row-50px>.col-12,
.row-50px>.col,
.row-50px>.col-auto,
.row-50px>.col-sm-1,
.row-50px>.col-sm-2,
.row-50px>.col-sm-3,
.row-50px>.col-sm-4,
.row-50px>.col-sm-5,
.row-50px>.col-sm-6,
.row-50px>.col-sm-7,
.row-50px>.col-sm-8,
.row-50px>.col-sm-9,
.row-50px>.col-sm-10,
.row-50px>.col-sm-11,
.row-50px>.col-sm-12,
.row-50px>.col-sm,
.row-50px>.col-sm-auto,
.row-50px>.col-md-1,
.row-50px>.col-md-2,
.row-50px>.col-md-3,
.row-50px>.col-md-4,
.row-50px>.col-md-5,
.row-50px>.col-md-6,
.row-50px>.col-md-7,
.row-50px>.col-md-8,
.row-50px>.col-md-9,
.row-50px>.col-md-10,
.row-50px>.col-md-11,
.row-50px>.col-md-12,
.row-50px>.col-md,
.row-50px>.col-md-auto,
.row-50px>.col-lg-1,
.row-50px>.col-lg-2,
.row-50px>.col-lg-3,
.row-50px>.col-lg-4,
.row-50px>.col-lg-5,
.row-50px>.col-lg-6,
.row-50px>.col-lg-7,
.row-50px>.col-lg-8,
.row-50px>.col-lg-9,
.row-50px>.col-lg-10,
.row-50px>.col-lg-11,
.row-50px>.col-lg-12,
.row-50px>.col-lg,
.row-50px>.col-lg-auto,
.row-50px>.col-xl-1,
.row-50px>.col-xl-2,
.row-50px>.col-xl-3,
.row-50px>.col-xl-4,
.row-50px>.col-xl-5,
.row-50px>.col-xl-6,
.row-50px>.col-xl-7,
.row-50px>.col-xl-8,
.row-50px>.col-xl-9,
.row-50px>.col-xl-10,
.row-50px>.col-xl-11,
.row-50px>.col-xl-12,
.row-50px>.col-xl,
.row-50px>.col-xl-auto {
    padding-left: 50px !important;
    padding-right: 50px !important;
}

/* add responsive class */

@media (max-width: 991.99px) {
    .visible-desktop {
        display: none;
    }
}

@media (min-width: 992px) {
    .visible-mobile {
        display: none;
    }
}

.visible-sm-block,
.visible-sm-inline-block,
.visible-md-block,
.visible-md-inline-block,
.visible-lg-block,
.visible-lg-inline-block,
.visible-xl-block,
.visible-xl-inline-block {
    display: none;
}

@media (min-width: 576px) and (max-width: 767.99px) {
    .hidden-sm {
        display: none !important;
    }

    .visible-sm-block {
        display: block;
    }

    .visible-sm-inline-block {
        display: inline-block;
    }
}

@media (min-width: 768px) and (max-width: 991.99px) {
    .hidden-md {
        display: none !important;
    }

    .visible-md-block {
        display: block;
    }

    .visible-md-inline-block {
        display: inline-block;
    }
}

@media (min-width: 992px) and (max-width: 1199.99px) {
    .hidden-lg {
        display: none !important;
    }

    .visible-lg-block {
        display: block;
    }

    .visible-lg-inline-block {
        display: inline-block;
    }
}

@media (min-width: 1200px) {
    .hidden-xl {
        display: none !important;
    }

    .visible-xl-block {
        display: block;
    }

    .visible-xl-inline-block {
        display: inline-block;
    }
}

.visible-from-sm-block,
.visible-from-sm-inline-block,
.visible-from-md-block,
.visible-from-md-inline-block,
.visible-from-lg-block,
.visible-from-lg-inline-block,
.visible-from-xl-block,
.visible-from-xl-inline-block {
    display: none;
}

@media (min-width: 576px) {
    .hidden-from-sm {
        display: none !important;
    }

    .visible-from-sm-block {
        display: block;
    }

    .visible-from-sm-inline-block {
        display: inline-block;
    }
}

@media (min-width: 768px) {
    .hidden-from-md {
        display: none !important;
    }

    .visible-from-md-block {
        display: block;
    }

    .visible-from-md-inline-block {
        display: inline-block;
    }
}

@media (min-width: 992px) {
    .hidden-from-lg {
        display: none !important;
    }

    .visible-from-lg-block {
        display: block;
    }

    .visible-from-lg-inline-block {
        display: inline-block;
    }
}

@media (min-width: 1200px) {
    .hidden-from-xl {
        display: none !important;
    }

    .visible-from-xl-block {
        display: block;
    }

    .visible-from-xl-inline-block {
        display: inline-block;
    }
}

/* add class option */

.input-group>.is-last-child,
.input-group>.is-last-child>.btn,
.input-group>.is-last-child>.form-control {
    border-top-right-radius: .25rem !important;
    border-bottom-right-radius: .25rem !important;
}

/* width */
/* ------------------------------ */

.w-auto {
    width: auto !important
}

.w-none,
.w-unset {
    width: unset !important
}

/* width with rem */

.w-0 {
    width: 0 !important
}

.w-1 {
    width: .25rem !important
}

.w-2 {
    width: .5rem !important
}

.w-3 {
    width: .75rem !important
}

.w-4 {
    width: 1rem !important
}

.w-5 {
    width: 1.5rem !important
}

.w-6 {
    width: 2rem !important
}

.w-7 {
    width: 2.5rem !important
}

.w-8 {
    width: 3rem !important
}

.w-9 {
    width: 3.5rem !important
}

/* width with percent */

.w-10 {
    width: 10% !important
}

.w-15 {
    width: 15% !important
}

.w-20 {
    width: 20% !important
}

.w-25 {
    width: 25% !important
}

.w-30 {
    width: 30% !important
}

.w-35 {
    width: 35% !important
}

.w-40 {
    width: 40% !important
}

.w-45 {
    width: 45% !important
}

.w-50 {
    width: 50% !important
}

.w-55 {
    width: 55% !important
}

.w-60 {
    width: 60% !important
}

.w-65 {
    width: 65% !important
}

.w-70 {
    width: 70% !important
}

.w-75 {
    width: 75% !important
}

.w-80 {
    width: 80% !important
}

.w-85 {
    width: 85% !important
}

.w-90 {
    width: 90% !important
}

.w-95 {
    width: 95% !important
}

.w-100 {
    width: 100% !important
}

/* width with vw */

.w-25vw {
    height: 25vw !important
}

.w-50vw {
    height: 50vw !important
}

.w-75vw {
    height: 75vw !important
}

.w-100vw {
    height: 100vw !important
}

/* width with pixel */

.w-1px {
    width: 1px !important
}

.w-2px {
    width: 2px !important
}

.w-3px {
    width: 3px !important
}

.w-4px {
    width: 4px !important
}

.w-5px {
    width: 5px !important
}

.w-10px {
    width: 10px !important
}

.w-15px {
    width: 15px !important
}

.w-20px {
    width: 20px !important
}

.w-25px {
    width: 25px !important
}

.w-30px {
    width: 30px !important
}

.w-35px {
    width: 35px !important
}

.w-40px {
    width: 40px !important
}

.w-45px {
    width: 45px !important
}

.w-50px {
    width: 50px !important
}

.w-55px {
    width: 55px !important
}

.w-60px {
    width: 60px !important
}

.w-65px {
    width: 65px !important
}

.w-70px {
    width: 70px !important
}

.w-75px {
    width: 75px !important
}

.w-80px {
    width: 80px !important
}

.w-85px {
    width: 85px !important
}

.w-90px {
    width: 90px !important
}

.w-95px {
    width: 95px !important
}

.w-100px {
    width: 100px !important
}

.w-110px {
    width: 110px !important
}

.w-120px {
    width: 120px !important
}

.w-130px {
    width: 130px !important
}

.w-140px {
    width: 140px !important
}

.w-150px {
    width: 150px !important
}

.w-160px {
    width: 160px !important
}

.w-170px {
    width: 170px !important
}

.w-180px {
    width: 180px !important
}

.w-190px {
    width: 190px !important
}

.w-200px {
    width: 200px !important
}

.w-210px {
    width: 210px !important
}

.w-220px {
    width: 220px !important
}

.w-230px {
    width: 230px !important
}

.w-240px {
    width: 240px !important
}

.w-250px {
    width: 250px !important
}

.w-300px {
    width: 300px !important
}

.w-350px {
    width: 350px !important
}

.w-400px {
    width: 400px !important
}

.w-450px {
    width: 450px !important
}

.w-500px {
    width: 500px !important
}

.w-600px {
    width: 600px !important
}

.w-700px {
    width: 700px !important
}

.w-800px {
    width: 800px !important
}

.w-900px {
    width: 900px !important
}

.w-950px {
    width: 950px !important
}

.w-1000px {
    width: 1000px !important
}

/* min-width */

.min-w-10px {
    min-width: 10px !important
}

.min-w-20px {
    min-width: 20px !important
}

.min-w-30px {
    min-width: 30px !important
}

.min-w-40px {
    min-width: 40px !important
}

.min-w-50px {
    min-width: 50px !important
}

.min-w-60px {
    min-width: 60px !important
}

.min-w-70px {
    min-width: 70px !important
}

.min-w-80px {
    min-width: 80px !important
}

.min-w-90px {
    min-width: 90px !important
}

.min-w-100px {
    min-width: 100px !important
}

.min-w-110px {
    min-width: 110px !important
}

.min-w-120px {
    min-width: 120px !important
}

.min-w-130px {
    min-width: 130px !important
}

.min-w-140px {
    min-width: 140px !important
}

.min-w-150px {
    min-width: 150px !important
}

.min-w-160px {
    min-width: 160px !important
}

.min-w-170px {
    min-width: 170px !important
}

.min-w-180px {
    min-width: 180px !important
}

.min-w-190px {
    min-width: 190px !important
}

.min-w-200px {
    min-width: 200px !important
}

.min-w-250px {
    min-width: 250px !important
}

.min-w-300px {
    min-width: 300px !important
}

.min-w-350px {
    min-width: 350px !important
}

.min-w-400px {
    min-width: 400px !important
}

.min-w-450px {
    min-width: 450px !important
}

.min-w-500px {
    min-width: 500px !important
}

.min-w-550px {
    min-width: 550px !important
}

.min-w-600px {
    min-width: 600px !important
}

.min-w-650px {
    min-width: 650px !important
}

.min-w-700px {
    min-width: 700px !important
}

.min-w-750px {
    min-width: 750px !important
}

.min-w-800px {
    min-width: 800px !important
}

.min-w-850px {
    min-width: 850px !important
}

.min-w-900px {
    min-width: 900px !important
}

.min-w-950px {
    min-width: 950px !important
}

.min-w-1000px {
    min-width: 1000px !important
}

/* max-width */

.max-w-100px {
    width: 100%;
    max-width: 100px !important
}

.max-w-150px {
    width: 100%;
    max-width: 150px !important
}

.max-w-200px {
    width: 100%;
    max-width: 200px !important
}

.max-w-250px {
    width: 100%;
    max-width: 250px !important
}

.max-w-300px {
    width: 100%;
    max-width: 300px !important
}

.max-w-350px {
    width: 100%;
    max-width: 350px !important
}

.max-w-360px {
    width: 100%;
    max-width: 360px !important
}

.max-w-400px {
    width: 100%;
    max-width: 400px !important
}

.max-w-450px {
    width: 100%;
    max-width: 450px !important
}

.max-w-480px {
    width: 100%;
    max-width: 480px !important
}

.max-w-500px {
    width: 100%;
    max-width: 500px !important
}

.max-w-550px {
    width: 100%;
    max-width: 550px !important
}

.max-w-600px {
    width: 100%;
    max-width: 600px !important
}

.max-w-640px {
    width: 100%;
    max-width: 640px !important
}

.max-w-650px {
    width: 100%;
    max-width: 650px !important
}

.max-w-700px {
    width: 100%;
    max-width: 700px !important
}

.max-w-720px {
    width: 100%;
    max-width: 720px !important
}

.max-w-750px {
    width: 100%;
    max-width: 750px !important
}

.max-w-800px {
    width: 100%;
    max-width: 800px !important
}

.max-w-850px {
    width: 100%;
    max-width: 850px !important
}

.max-w-900px {
    width: 100%;
    max-width: 900px !important
}

.max-w-950px {
    width: 100%;
    max-width: 950px !important
}

.max-w-960px {
    width: 100%;
    max-width: 960px !important
}

.max-w-1000px {
    width: 100%;
    max-width: 1000px !important
}

.max-w-1050px {
    width: 100%;
    max-width: 1050px !important
}

.max-w-1100px {
    width: 100%;
    max-width: 1100px !important
}

.max-w-1140px {
    width: 100%;
    max-width: 1140px !important
}

.max-w-1150px {
    width: 100%;
    max-width: 1150px !important
}

.max-w-1200px {
    width: 100%;
    max-width: 1200px !important
}

/* height */
/* ------------------------------ */

.h-auto {
    height: auto !important
}

.h-none,
.h-unset {
    height: unset !important
}

/* height with rem */

.h-0 {
    height: 0 !important
}

.h-1 {
    height: .25rem !important
}

.h-2 {
    height: .5rem !important
}

.h-3 {
    height: .75rem !important
}

.h-4 {
    height: 1rem !important
}

.h-5 {
    height: 1.5rem !important
}

.h-6 {
    height: 2rem !important
}

.h-7 {
    height: 2.5rem !important
}

.h-8 {
    height: 3rem !important
}

.h-9 {
    height: 3.5rem !important
}

/* height with percent */

.h-10 {
    height: 10% !important
}

.h-15 {
    height: 15% !important
}

.h-20 {
    height: 20% !important
}

.h-25 {
    height: 25% !important
}

.h-30 {
    height: 30% !important
}

.h-35 {
    height: 35% !important
}

.h-40 {
    height: 40% !important
}

.h-45 {
    height: 45% !important
}

.h-50 {
    height: 50% !important
}

.h-55 {
    height: 55% !important
}

.h-60 {
    height: 60% !important
}

.h-65 {
    height: 65% !important
}

.h-70 {
    height: 70% !important
}

.h-75 {
    height: 75% !important
}

.h-80 {
    height: 80% !important
}

.h-85 {
    height: 85% !important
}

.h-90 {
    height: 90% !important
}

.h-95 {
    height: 95% !important
}

.h-100 {
    height: 100% !important
}

/* height with vh */

.h-25vh {
    height: 25vh !important
}

.h-50vh {
    height: 50vh !important
}

.h-75vh {
    height: 75vh !important
}

.h-100vh {
    height: 100vh !important
}

/* height with pixel */

.h-1px {
    height: 1px !important
}

.h-2px {
    height: 2px !important
}

.h-3px {
    height: 3px !important
}

.h-4px {
    height: 4px !important
}

.h-5px {
    height: 5px !important
}

.h-10px {
    height: 10px !important
}

.h-15px {
    height: 15px !important
}

.h-20px {
    height: 20px !important
}

.h-25px {
    height: 25px !important
}

.h-30px {
    height: 30px !important
}

.h-35px {
    height: 35px !important
}

.h-40px {
    height: 40px !important
}

.h-45px {
    height: 45px !important
}

.h-50px {
    height: 50px !important
}

.h-55px {
    height: 55px !important
}

.h-60px {
    height: 60px !important
}

.h-65px {
    height: 65px !important
}

.h-70px {
    height: 70px !important
}

.h-75px {
    height: 75px !important
}

.h-80px {
    height: 80px !important
}

.h-85px {
    height: 85px !important
}

.h-90px {
    height: 90px !important
}

.h-95px {
    height: 95px !important
}

.h-100px {
    height: 100px !important
}

.h-110px {
    height: 110px !important
}

.h-120px {
    height: 120px !important
}

.h-130px {
    height: 130px !important
}

.h-140px {
    height: 140px !important
}

.h-150px {
    height: 150px !important
}

.h-200px {
    height: 200px !important
}

.h-250px {
    height: 250px !important
}

.h-300px {
    height: 300px !important
}

.h-350px {
    height: 350px !important
}

.h-400px {
    height: 400px !important
}

.h-450px {
    height: 450px !important
}

.h-500px {
    height: 500px !important
}

.h-550px {
    height: 550px !important
}

.h-600px {
    height: 600px !important
}

.h-650px {
    height: 650px !important
}

.h-700px {
    height: 700px !important
}

.h-750px {
    height: 750px !important
}

.h-800px {
    height: 800px !important
}

.h-850px {
    height: 850px !important
}

.h-900px {
    height: 900px !important
}

.h-950px {
    height: 950px !important
}

.h-1000px {
    height: 1000px !important
}

/* min-height */

.min-h-50px {
    min-height: 50px !important
}

.min-h-60px {
    min-height: 60px !important
}

.min-h-70px {
    min-height: 70px !important
}

.min-h-80px {
    min-height: 80px !important
}

.min-h-90px {
    min-height: 90px !important
}

.min-h-100px {
    min-height: 100px !important
}

.min-h-200px {
    min-height: 200px !important
}

.min-h-250px {
    min-height: 250px !important
}

.min-h-300px {
    min-height: 300px !important
}

.min-h-350px {
    min-height: 350px !important
}

.min-h-400px {
    min-height: 400px !important
}

.min-h-450px {
    min-height: 450px !important
}

.min-h-500px {
    min-height: 500px !important
}

.min-h-550px {
    min-height: 550px !important
}

.min-h-600px {
    min-height: 600px !important
}

.min-h-650px {
    min-height: 650px !important
}

.min-h-700px {
    min-height: 700px !important
}

.min-h-750px {
    min-height: 750px !important
}

.min-h-800px {
    min-height: 800px !important
}

.min-h-850px {
    min-height: 850px !important
}

.min-h-900px {
    min-height: 900px !important
}

.min-h-950px {
    min-height: 950px !important
}

.min-h-1000px {
    min-height: 1000px !important
}

.min-h-100vh {
    min-height: 100vh;
}

/* max-height */

.max-h-100px {
    height: 100%;
    max-height: 100px !important
}

.max-h-150px {
    height: 100%;
    max-height: 150px !important
}

.max-h-200px {
    height: 100%;
    max-height: 200px !important
}

.max-h-250px {
    height: 100%;
    max-height: 250px !important
}

.max-h-300px {
    height: 100%;
    max-height: 300px !important
}

.max-h-350px {
    height: 100%;
    max-height: 350px !important
}

.max-h-400px {
    height: 100%;
    max-height: 400px !important
}

.max-h-450px {
    height: 100%;
    max-height: 450px !important
}

.max-h-500px {
    height: 100%;
    max-height: 500px !important
}

.max-h-550px {
    height: 100%;
    max-height: 550px !important
}

.max-h-600px {
    height: 100%;
    max-height: 600px !important
}

.max-h-650px {
    height: 100%;
    max-height: 650px !important
}

.max-h-700px {
    height: 100%;
    max-height: 700px !important
}

.max-h-750px {
    height: 100%;
    max-height: 750px !important
}

.max-h-800px {
    height: 100%;
    max-height: 800px !important
}

.max-h-850px {
    height: 100%;
    max-height: 850px !important
}

.max-h-900px {
    height: 100%;
    max-height: 900px !important
}

.max-h-950px {
    height: 100%;
    max-height: 950px !important
}

.max-h-1000px {
    height: 100%;
    max-height: 1000px !important
}

.max-h-1050px {
    height: 100%;
    max-height: 1050px !important
}

.max-h-1100px {
    height: 100%;
    max-height: 1100px !important
}

.max-h-1150px {
    height: 100%;
    max-height: 1150px !important
}

.max-h-1200px {
    height: 100%;
    max-height: 1200px !important
}

.max-h-100vh {
    height: 100%;
    max-height: 100vh !important
}

/* margin */
/* ------------------------------ */

.m-0 {
    margin: 0 !important
}

.m-1 {
    margin: 0.25rem !important
}

.mt-1,
.my-1 {
    margin-top: 0.25rem !important
}

.mr-1,
.mx-1 {
    margin-right: 0.25rem !important
}

.mb-1,
.my-1 {
    margin-bottom: 0.25rem !important
}

.ml-1,
.mx-1 {
    margin-left: 0.25rem !important
}

.m-2 {
    margin: 0.5rem !important
}

.mt-2,
.my-2 {
    margin-top: 0.5rem !important
}

.mr-2,
.mx-2 {
    margin-right: 0.5rem !important
}

.mb-2,
.my-2 {
    margin-bottom: 0.5rem !important
}

.ml-2,
.mx-2 {
    margin-left: 0.5rem !important
}

.m-3 {
    margin: 1rem !important
}

.mt-3,
.my-3 {
    margin-top: 1rem !important
}

.mr-3,
.mx-3 {
    margin-right: 1rem !important
}

.mb-3,
.my-3 {
    margin-bottom: 1rem !important
}

.ml-3,
.mx-3 {
    margin-left: 1rem !important
}

.m-4 {
    margin: 1.5rem !important
}

.mt-4,
.my-4 {
    margin-top: 1.5rem !important
}

.mr-4,
.mx-4 {
    margin-right: 1.5rem !important
}

.mb-4,
.my-4 {
    margin-bottom: 1.5rem !important
}

.ml-4,
.mx-4 {
    margin-left: 1.5rem !important
}

.m-5 {
    margin: 2rem !important
}

.mt-5,
.my-5 {
    margin-top: 2rem !important
}

.mr-5,
.mx-5 {
    margin-right: 2rem !important
}

.mb-5,
.my-5 {
    margin-bottom: 2rem !important
}

.ml-5,
.mx-5 {
    margin-left: 2rem !important
}

.m-6 {
    margin: 2.5rem !important
}

.mt-6,
.my-6 {
    margin-top: 2.5rem !important
}

.mr-6,
.mx-6 {
    margin-right: 2.5rem !important
}

.mb-6,
.my-6 {
    margin-bottom: 2.5rem !important
}

.ml-6,
.mx-6 {
    margin-left: 2.5rem !important
}

.m-7 {
    margin: 3rem !important
}

.mt-7,
.my-7 {
    margin-top: 3rem !important
}

.mr-7,
.mx-7 {
    margin-right: 3rem !important
}

.mb-7,
.my-7 {
    margin-bottom: 3rem !important
}

.ml-7,
.mx-7 {
    margin-left: 3rem !important
}

.m-8 {
    margin: 3.5rem !important
}

.mt-8,
.my-8 {
    margin-top: 3.5rem !important
}

.mr-8,
.mx-8 {
    margin-right: 3.5rem !important
}

.mb-8,
.my-8 {
    margin-bottom: 3.5rem !important
}

.ml-8,
.mx-8 {
    margin-left: 3.5rem !important
}

.m-9 {
    margin: 4rem !important
}

.mt-9,
.my-9 {
    margin-top: 4rem !important
}

.mr-9,
.mx-9 {
    margin-right: 4rem !important
}

.mb-9,
.my-9 {
    margin-bottom: 4rem !important
}

.ml-9,
.mx-9 {
    margin-left: 4rem !important
}

.m-10px {
    margin: 10px !important
}

.mt-10px,
.my-10px {
    margin-top: 10px !important
}

.mr-10px,
.mx-10px {
    margin-right: 10px !important
}

.mb-10px,
.my-10px {
    margin-bottom: 10px !important
}

.ml-10px,
.mx-10px {
    margin-left: 10px !important
}

.m-20px {
    margin: 20px !important
}

.mt-20px,
.my-20px {
    margin-top: 20px !important
}

.mr-20px,
.mx-20px {
    margin-right: 20px !important
}

.mb-20px,
.my-20px {
    margin-bottom: 20px !important
}

.ml-20px,
.mx-20px {
    margin-left: 20px !important
}

.m-30px {
    margin: 30px !important
}

.mt-30px,
.my-30px {
    margin-top: 30px !important
}

.mr-30px,
.mx-30px {
    margin-right: 30px !important
}

.mb-30px,
.my-30px {
    margin-bottom: 30px !important
}

.ml-30px,
.mx-30px {
    margin-left: 30px !important
}

.m-40px {
    margin: 40px !important
}

.mt-40px,
.my-40px {
    margin-top: 40px !important
}

.mr-40px,
.mx-40px {
    margin-right: 40px !important
}

.mb-40px,
.my-40px {
    margin-bottom: 40px !important
}

.ml-40px,
.mx-40px {
    margin-left: 40px !important
}

.m-50px {
    margin: 50px !important
}

.mt-50px,
.my-50px {
    margin-top: 50px !important
}

.mr-50px,
.mx-50px {
    margin-right: 50px !important
}

.mb-50px,
.my-50px {
    margin-bottom: 50px !important
}

.ml-50px,
.mx-50px {
    margin-left: 50px !important
}

.m-60px {
    margin: 60px !important
}

.mt-60px,
.my-60px {
    margin-top: 60px !important
}

.mr-60px,
.mx-60px {
    margin-right: 60px !important
}

.mb-60px,
.my-60px {
    margin-bottom: 60px !important
}

.ml-60px,
.mx-60px {
    margin-left: 60px !important
}

.m-70px {
    margin: 70px !important
}

.mt-70px,
.my-70px {
    margin-top: 70px !important
}

.mr-70px,
.mx-70px {
    margin-right: 70px !important
}

.mb-70px,
.my-70px {
    margin-bottom: 70px !important
}

.ml-70px,
.mx-70px {
    margin-left: 70px !important
}

.m-80px {
    margin: 80px !important
}

.mt-80px,
.my-80px {
    margin-top: 80px !important
}

.mr-80px,
.mx-80px {
    margin-right: 80px !important
}

.mb-80px,
.my-80px {
    margin-bottom: 80px !important
}

.ml-80px,
.mx-80px {
    margin-left: 80px !important
}

.m-90px {
    margin: 90px !important
}

.mt-90px,
.my-90px {
    margin-top: 90px !important
}

.mr-90px,
.mx-90px {
    margin-right: 90px !important
}

.mb-90px,
.my-90px {
    margin-bottom: 90px !important
}

.ml-90px,
.mx-90px {
    margin-left: 90px !important
}

.m-100px {
    margin: 100px !important
}

.mt-100px,
.my-100px {
    margin-top: 100px !important
}

.mr-100px,
.mx-100px {
    margin-right: 100px !important
}

.mb-100px,
.my-100px {
    margin-bottom: 100px !important
}

.ml-100px,
.mx-100px {
    margin-left: 100px !important
}

.m-auto {
    margin: auto !important
}

.mt-auto,
.my-auto {
    margin-top: auto !important
}

.mr-auto,
.mx-auto {
    margin-right: auto !important
}

.mb-auto,
.my-auto {
    margin-bottom: auto !important
}

.ml-auto,
.mx-auto {
    margin-left: auto !important
}

/* minus option */

.m-minus-1px {
    margin: -1px !important
}

.mt-minus-1px,
.my-minus-1px {
    margin-top: -1px !important
}

.mr-minus-1px,
.mx-minus-1px {
    margin-right: -1px !important
}

.mb-minus-1px,
.my-minus-1px {
    margin-bottom: -1px !important
}

.ml-minus-1px,
.mx-minus-1px {
    margin-left: -1px !important
}

/* padding */
/* ------------------------------ */

.p-0 {
    padding: 0 !important
}

.p-1 {
    padding: 0.25rem !important
}

.pt-1,
.py-1 {
    padding-top: 0.25rem !important
}

.pr-1,
.px-1 {
    padding-right: 0.25rem !important
}

.pb-1,
.py-1 {
    padding-bottom: 0.25rem !important
}

.pl-1,
.px-1 {
    padding-left: 0.25rem !important
}

.p-2 {
    padding: 0.5rem !important
}

.pt-2,
.py-2 {
    padding-top: 0.5rem !important
}

.pr-2,
.px-2 {
    padding-right: 0.5rem !important
}

.pb-2,
.py-2 {
    padding-bottom: 0.5rem !important
}

.pl-2,
.px-2 {
    padding-left: 0.5rem !important
}

.p-3 {
    padding: 1rem !important
}

.pt-3,
.py-3 {
    padding-top: 1rem !important
}

.pr-3,
.px-3 {
    padding-right: 1rem !important
}

.pb-3,
.py-3 {
    padding-bottom: 1rem !important
}

.pl-3,
.px-3 {
    padding-left: 1rem !important
}

.p-4 {
    padding: 1.5rem !important
}

.pt-4,
.py-4 {
    padding-top: 1.5rem !important
}

.pr-4,
.px-4 {
    padding-right: 1.5rem !important
}

.pb-4,
.py-4 {
    padding-bottom: 1.5rem !important
}

.pl-4,
.px-4 {
    padding-left: 1.5rem !important
}

.p-5 {
    padding: 2rem !important
}

.pt-5,
.py-5 {
    padding-top: 2rem !important
}

.pr-5,
.px-5 {
    padding-right: 2rem !important
}

.pb-5,
.py-5 {
    padding-bottom: 2rem !important
}

.pl-5,
.px-5 {
    padding-left: 2rem !important
}

.p-6 {
    padding: 2.5rem !important
}

.pt-6,
.py-6 {
    padding-top: 2.5rem !important
}

.pr-6,
.px-6 {
    padding-right: 2.5rem !important
}

.pb-6,
.py-6 {
    padding-bottom: 2.5rem !important
}

.pl-6,
.px-6 {
    padding-left: 2.5rem !important
}

.p-7 {
    padding: 3rem !important
}

.pt-7,
.py-7 {
    padding-top: 3rem !important
}

.pr-7,
.px-7 {
    padding-right: 3rem !important
}

.pb-7,
.py-7 {
    padding-bottom: 3rem !important
}

.pl-7,
.px-7 {
    padding-left: 3rem !important
}

.p-8 {
    padding: 3.5rem !important
}

.pt-8,
.py-8 {
    padding-top: 3.5rem !important
}

.pr-8,
.px-8 {
    padding-right: 3.5rem !important
}

.pb-8,
.py-8 {
    padding-bottom: 3.5rem !important
}

.pl-8,
.px-8 {
    padding-left: 3.5rem !important
}

.p-9 {
    padding: 4rem !important
}

.pt-9,
.py-9 {
    padding-top: 4rem !important
}

.pr-9,
.px-9 {
    padding-right: 4rem !important
}

.pb-9,
.py-9 {
    padding-bottom: 4rem !important
}

.pl-9,
.px-9 {
    padding-left: 4rem !important
}

.p-1px {
    padding: 1px !important
}

.pt-1px,
.py-1px {
    padding-top: 1px !important
}

.pr-1px,
.px-1px {
    padding-right: 1px !important
}

.pb-1px,
.py-1px {
    padding-bottom: 1px !important
}

.pl-1px,
.px-1px {
    padding-left: 1px !important
}

.p-2px {
    padding: 2px !important
}

.pt-2px,
.py-2px {
    padding-top: 2px !important
}

.pr-2px,
.px-2px {
    padding-right: 2px !important
}

.pb-2px,
.py-2px {
    padding-bottom: 2px !important
}

.pl-2px,
.px-2px {
    padding-left: 2px !important
}

.p-3px {
    padding: 3px !important
}

.pt-3px,
.py-3px {
    padding-top: 3px !important
}

.pr-3px,
.px-3px {
    padding-right: 3px !important
}

.pb-3px,
.py-3px {
    padding-bottom: 3px !important
}

.pl-3px,
.px-3px {
    padding-left: 3px !important
}

.p-4px {
    padding: 4px !important
}

.pt-4px,
.py-4px {
    padding-top: 4px !important
}

.pr-4px,
.px-4px {
    padding-right: 4px !important
}

.pb-4px,
.py-4px {
    padding-bottom: 4px !important
}

.pl-4px,
.px-4px {
    padding-left: 4px !important
}

.p-5px {
    padding: 5px !important
}

.pt-5px,
.py-5px {
    padding-top: 5px !important
}

.pr-5px,
.px-5px {
    padding-right: 5px !important
}

.pb-5px,
.py-5px {
    padding-bottom: 5px !important
}

.pl-5px,
.px-5px {
    padding-left: 5px !important
}

.p-6px {
    padding: 6px !important
}

.pt-6px,
.py-6px {
    padding-top: 6px !important
}

.pr-6px,
.px-6px {
    padding-right: 6px !important
}

.pb-6px,
.py-6px {
    padding-bottom: 6px !important
}

.pl-6px,
.px-6px {
    padding-left: 6px !important
}

.p-7px {
    padding: 7px !important
}

.pt-7px,
.py-7px {
    padding-top: 7px !important
}

.pr-7px,
.px-7px {
    padding-right: 7px !important
}

.pb-7px,
.py-7px {
    padding-bottom: 7px !important
}

.pl-7px,
.px-7px {
    padding-left: 7px !important
}

.p-8px {
    padding: 8px !important
}

.pt-8px,
.py-8px {
    padding-top: 8px !important
}

.pr-8px,
.px-8px {
    padding-right: 8px !important
}

.pb-8px,
.py-8px {
    padding-bottom: 8px !important
}

.pl-8px,
.px-8px {
    padding-left: 8px !important
}

.p-9px {
    padding: 9px !important
}

.pt-9px,
.py-9px {
    padding-top: 9px !important
}

.pr-9px,
.px-9px {
    padding-right: 9px !important
}

.pb-9px,
.py-9px {
    padding-bottom: 9px !important
}

.pl-9px,
.px-9px {
    padding-left: 9px !important
}

.p-10px {
    padding: 10px !important
}

.pt-10px,
.py-10px {
    padding-top: 10px !important
}

.pr-10px,
.px-10px {
    padding-right: 10px !important
}

.pb-10px,
.py-10px {
    padding-bottom: 10px !important
}

.pl-10px,
.px-10px {
    padding-left: 10px !important
}

.p-20px {
    padding: 20px !important
}

.pt-20px,
.py-20px {
    padding-top: 20px !important
}

.pr-20px,
.px-20px {
    padding-right: 20px !important
}

.pb-20px,
.py-20px {
    padding-bottom: 20px !important
}

.pl-20px,
.px-20px {
    padding-left: 20px !important
}

.p-30px {
    padding: 30px !important
}

.pt-30px,
.py-30px {
    padding-top: 30px !important
}

.pr-30px,
.px-30px {
    padding-right: 30px !important
}

.pb-30px,
.py-30px {
    padding-bottom: 30px !important
}

.pl-30px,
.px-30px {
    padding-left: 30px !important
}

.p-40px {
    padding: 40px !important
}

.pt-40px,
.py-40px {
    padding-top: 40px !important
}

.pr-40px,
.px-40px {
    padding-right: 40px !important
}

.pb-40px,
.py-40px {
    padding-bottom: 40px !important
}

.pl-40px,
.px-40px {
    padding-left: 40px !important
}

.p-50px {
    padding: 50px !important
}

.pt-50px,
.py-50px {
    padding-top: 50px !important
}

.pr-50px,
.px-50px {
    padding-right: 50px !important
}

.pb-50px,
.py-50px {
    padding-bottom: 50px !important
}

.pl-50px,
.px-50px {
    padding-left: 50px !important
}

.p-60px {
    padding: 60px !important
}

.pt-60px,
.py-60px {
    padding-top: 60px !important
}

.pr-60px,
.px-60px {
    padding-right: 60px !important
}

.pb-60px,
.py-60px {
    padding-bottom: 60px !important
}

.pl-60px,
.px-60px {
    padding-left: 60px !important
}

.p-70px {
    padding: 70px !important
}

.pt-70px,
.py-70px {
    padding-top: 70px !important
}

.pr-70px,
.px-70px {
    padding-right: 70px !important
}

.pb-70px,
.py-70px {
    padding-bottom: 70px !important
}

.pl-70px,
.px-70px {
    padding-left: 70px !important
}

.p-80px {
    padding: 80px !important
}

.pt-80px,
.py-80px {
    padding-top: 80px !important
}

.pr-80px,
.px-80px {
    padding-right: 80px !important
}

.pb-80px,
.py-80px {
    padding-bottom: 80px !important
}

.pl-80px,
.px-80px {
    padding-left: 80px !important
}

.p-90px {
    padding: 90px !important
}

.pt-90px,
.py-90px {
    padding-top: 90px !important
}

.pr-90px,
.px-90px {
    padding-right: 90px !important
}

.pb-90px,
.py-90px {
    padding-bottom: 90px !important
}

.pl-90px,
.px-90px {
    padding-left: 90px !important
}

.p-100px {
    padding: 100px !important
}

.pt-100px,
.py-100px {
    padding-top: 100px !important
}

.pr-100px,
.px-100px {
    padding-right: 100px !important
}

.pb-100px,
.py-100px {
    padding-bottom: 100px !important
}

.pl-100px,
.px-100px {
    padding-left: 100px !important
}

.p-150px {
    padding: 150px !important
}

.pt-150px,
.py-150px {
    padding-top: 150px !important
}

.pr-150px,
.px-150px {
    padding-right: 150px !important
}

.pb-150px,
.py-150px {
    padding-bottom: 150px !important
}

.pl-150px,
.px-150px {
    padding-left: 150px !important
}

.p-200px {
    padding: 200px !important
}

.pt-200px,
.py-200px {
    padding-top: 200px !important
}

.pr-200px,
.px-200px {
    padding-right: 200px !important
}

.pb-200px,
.py-200px {
    padding-bottom: 200px !important
}

.pl-200px,
.px-200px {
    padding-left: 200px !important
}

.p-auto {
    padding: auto !important
}

.pt-auto,
.py-auto {
    padding-top: auto !important
}

.pr-auto,
.px-auto {
    padding-right: auto !important
}

.pb-auto,
.py-auto {
    padding-bottom: auto !important
}

.pl-auto,
.px-auto {
    padding-left: auto !important
}

/* ad-mrkang@naver.com */

/* font style */
/* ------------------------------ */

.font-size-normal {
    font-size: 1rem !important
}

/* font size percent */

.font-size-10 {
    font-size: 10% !important
}

.font-size-20 {
    font-size: 20% !important
}

.font-size-30 {
    font-size: 30% !important
}

.font-size-40 {
    font-size: 40% !important
}

.font-size-50 {
    font-size: 50% !important
}

.font-size-55 {
    font-size: 55% !important
}

.font-size-60 {
    font-size: 60% !important
}

.font-size-65 {
    font-size: 65% !important
}

.font-size-70 {
    font-size: 70% !important
}

.font-size-75 {
    font-size: 75% !important
}

.font-size-80 {
    font-size: 80% !important
}

.font-size-85 {
    font-size: 85% !important
}

.font-size-90 {
    font-size: 90% !important
}

.font-size-95 {
    font-size: 95% !important
}

.font-size-100 {
    font-size: 100% !important
}

.font-size-105 {
    font-size: 105% !important
}

.font-size-110 {
    font-size: 110% !important
}

.font-size-115 {
    font-size: 115% !important
}

.font-size-120 {
    font-size: 120% !important
}

.font-size-125 {
    font-size: 125% !important
}

.font-size-130 {
    font-size: 130% !important
}

.font-size-135 {
    font-size: 135% !important
}

.font-size-140 {
    font-size: 140% !important
}

.font-size-145 {
    font-size: 145% !important
}

.font-size-150 {
    font-size: 150% !important
}

.font-size-155 {
    font-size: 155% !important
}

.font-size-160 {
    font-size: 160% !important
}

.font-size-165 {
    font-size: 165% !important
}

.font-size-170 {
    font-size: 170% !important
}

.font-size-175 {
    font-size: 175% !important
}

.font-size-180 {
    font-size: 180% !important
}

.font-size-185 {
    font-size: 185% !important
}

.font-size-190 {
    font-size: 190% !important
}

.font-size-195 {
    font-size: 195% !important
}

.font-size-200 {
    font-size: 200% !important
}

.font-size-250 {
    font-size: 250% !important
}

.font-size-300 {
    font-size: 300% !important
}

.font-size-350 {
    font-size: 350% !important
}

.font-size-400 {
    font-size: 400% !important
}

.font-size-450 {
    font-size: 450% !important
}

.font-size-500 {
    font-size: 500% !important
}

.font-size-5px {
    font-size: 5px !important
}

.font-size-6px {
    font-size: 6px !important
}

.font-size-7px {
    font-size: 7px !important
}

.font-size-8px {
    font-size: 8px !important
}

.font-size-9px {
    font-size: 9px !important
}

.font-size-10px {
    font-size: 10px !important
}

.font-size-11px {
    font-size: 11px !important
}

.font-size-12px {
    font-size: 12px !important
}

.font-size-13px {
    font-size: 13px !important
}

.font-size-14px {
    font-size: 14px !important
}

.font-size-15px {
    font-size: 15px !important
}

.font-size-16px {
    font-size: 16px !important
}

.font-size-17px {
    font-size: 17px !important
}

.font-size-18px {
    font-size: 18px !important
}

.font-size-19px {
    font-size: 19px !important
}

.font-size-20px {
    font-size: 20px !important
}

.font-size-21px {
    font-size: 21px !important
}

.font-size-24px {
    font-size: 24px !important
}

.font-size-30px {
    font-size: 30px !important
}

.font-size-36px {
    font-size: 36px !important
}

.font-size-40px {
    font-size: 40px !important
}

.font-size-48px {
    font-size: 48px !important
}

.font-size-50px {
    font-size: 50px !important
}

.font-size-60px {
    font-size: 60px !important
}

.font-size-72px {
    font-size: 72px !important
}

/* font weight */

.font-weight-100 {
    font-weight: 100 !important
}

.font-weight-200 {
    font-weight: 200 !important
}

.font-weight-300 {
    font-weight: 300 !important
}

.font-weight-400 {
    font-weight: 400 !important
}

.font-weight-500 {
    font-weight: 500 !important
}

.font-weight-600 {
    font-weight: 600 !important
}

.font-weight-700 {
    font-weight: 700 !important
}

.font-weight-800 {
    font-weight: 800 !important
}

.font-weight-900 {
    font-weight: 900 !important
}

.font-weight-normal {
    font-weight: 400 !important
}

.font-weight-normal {
    font-weight: normal !important
}

.font-weight-bold {
    font-weight: bold !important
}

.font-weight-inherit {
    font-weight: inherit !important
}

.font-weight-initial {
    font-weight: initial !important
}

/* font color */

.font-color-00,
.font-color-black {
    color: #000 !important
}

.font-color-11 {
    color: #111 !important
}

.font-color-22 {
    color: #222 !important
}

.font-color-33 {
    color: #333 !important
}

.font-color-3c,
.font-color-dark,
a.font-color-3c:hover,
a.font-color-3c:focus,
a.font-color-dark:hover,
a.font-color-dark:focus {
    color: #3c3c3c !important
}

.font-color-44 {
    color: #444 !important
}

.font-color-55 {
    color: #555 !important
}

.font-color-66 {
    color: #666 !important
}

.font-color-77 {
    color: #777 !important
}

.font-color-78,
.font-color-muted {
    color: #787878 !important
}

.font-color-88 {
    color: #888 !important
}

.font-color-99 {
    color: #999 !important
}

.font-color-aa {
    color: #aaa !important
}

.font-color-bb {
    color: #bbb !important
}

.font-color-cc {
    color: #ccc !important
}

.font-color-dd {
    color: #ddd !important
}

.font-color-ee {
    color: #eee !important
}

.font-color-f0,
.font-color-light,
a.font-color-f0:hover,
a.font-color-f0:focus,
a.font-color-light:hover,
a.font-color-light:focus {
    color: #f0f0f0 !important
}

.font-color-ff,
.font-color-white,
.text-color-white,
.text-white {
    color: #fff !important
}

.font-color-00-50,
.font-color-black-50 {
    color: rgba(0, 0, 0, .5) !important
}

.font-color-ff-50,
.font-color-white-50 {
    color: rgba(255, 255, 255, .5) !important
}

/* text decoration */

.text-decoration-none {
    text-decoration: none !important
}

.text-decoration-overline {
    text-decoration: overline !important
}

.text-decoration-underline {
    text-decoration: underline !important
}

/* line height */

.line-height-0 {
    line-height: 0 !important
}

.line-height-1 {
    line-height: .5 !important
}

.line-height-2 {
    line-height: 1 !important
}

.line-height-3 {
    line-height: 1.5 !important
}

.line-height-4 {
    line-height: 2 !important
}

.line-height-5 {
    line-height: 2.5 !important
}

.line-height-6 {
    line-height: 3 !important
}

.line-height-7 {
    line-height: 3.5 !important
}

.line-height-8 {
    line-height: 4 !important
}

.line-height-9 {
    line-height: 4.5 !important
}

/* background color */
/* ------------------------------ */

.bg-none,
.background-color-none {
    background-color: unset !important
}

.bg-transparent,
.background-color-transparent {
    background-color: transparent !important
}

/* background gray */

.bg-black,
.bg-color-00,
.background-color-00 {
    background-color: #000 !important
}

.bg-color-11,
.background-color-11 {
    background-color: #111 !important
}

.bg-color-22,
.background-color-22 {
    background-color: #222 !important
}

.bg-color-33,
.background-color-33 {
    background-color: #333 !important
}

.bg-dark,
.bg-color-3c,
.background-color-3c {
    background-color: #3c3c3c !important
}

.bg-color-44,
.background-color-44 {
    background-color: #444 !important
}

.bg-color-55,
.background-color-55 {
    background-color: #555 !important
}

.bg-color-66,
.background-color-66 {
    background-color: #666 !important
}

.bg-color-77,
.background-color-77 {
    background-color: #777 !important
}

.bg-muted,
.bg-color-78,
.background-color-78 {
    background-color: #787878 !important
}

.bg-color-88,
.background-color-88 {
    background-color: #888 !important
}

.bg-color-99,
.background-color-99 {
    background-color: #999 !important
}

.bg-color-aa,
.background-color-aa {
    background-color: #aaa !important
}

.bg-color-bb,
.background-color-bb {
    background-color: #bbb !important
}

.bg-color-cc,
.background-color-cc {
    background-color: #ccc !important
}

.bg-color-dd,
.background-color-dd {
    background-color: #ddd !important
}

.bg-color-ee,
.background-color-ee {
    background-color: #eee !important
}

.bg-light,
.bg-color-f0,
.background-color-f0 {
    background-color: #f0f0f0 !important
}

.bg-color-fa,
.background-color-fa {
    background-color: #fafafa !important
}

.bg-white,
.bg-color-ff,
.background-color-ff {
    background-color: #fff !important
}

/* background opacity */

.bg-black-50,
.bg-color-00-50,
.background-color-00-50 {
    background-color: rgba(0, 0, 0, .5) !important
}

.bg-white-50,
.bg-color-ff-50,
.background-color-ff-50 {
    background-color: rgba(255, 255, 255, .5) !important
}

.opacity-0 {
    filter: alpha(opacity=0);
    -khtml-opacity: 0;
    -moz-opacity: 0;
    opacity: 0 !important
}

.opacity-10 {
    filter: alpha(opacity=10);
    -khtml-opacity: .1;
    -moz-opacity: .1;
    opacity: .1 !important
}

.opacity-20 {
    filter: alpha(opacity=20);
    -khtml-opacity: .2;
    -moz-opacity: .2;
    opacity: .2 !important
}

.opacity-30 {
    filter: alpha(opacity=30);
    -khtml-opacity: .3;
    -moz-opacity: .3;
    opacity: .3 !important
}

.opacity-40 {
    filter: alpha(opacity=40);
    -khtml-opacity: .4;
    -moz-opacity: .4;
    opacity: .4 !important
}

.opacity-50 {
    filter: alpha(opacity=50);
    -khtml-opacity: .5;
    -moz-opacity: .5;
    opacity: .5 !important
}

.opacity-60 {
    filter: alpha(opacity=60);
    -khtml-opacity: .6;
    -moz-opacity: .6;
    opacity: .6 !important
}

.opacity-70 {
    filter: alpha(opacity=70);
    -khtml-opacity: .7;
    -moz-opacity: .7;
    opacity: .7 !important
}

.opacity-80 {
    filter: alpha(opacity=80);
    -khtml-opacity: .8;
    -moz-opacity: .8;
    opacity: .8 !important
}

.opacity-90 {
    filter: alpha(opacity=90);
    -khtml-opacity: .9;
    -moz-opacity: .9;
    opacity: .9 !important
}

.opacity-100 {
    filter: alpha(opacity=100);
    -khtml-opacity: 1;
    -moz-opacity: 1;
    opacity: 1 !important
}

/* list style */
/* ------------------------------ */

.list-style-none,
.list-style-none li {
    margin: 0;
    padding: 0;
    list-style: none;
}

.list-style-none>li {
    list-style: none !important;
}

.list-style-disc,
ol.list-style-disc,
ul.list-style-disc,
ol.list-style-disc li,
ul.list-style-disc li {
    list-style: disc;
}

ol.list-style-disc>li,
ul.list-style-disc>li {
    list-style: disc !important
}

.list-style-circle,
ol.list-style-circle,
ul.list-style-circle,
ol.list-style-circle li,
ul.list-style-circle li {
    list-style: circle;
}

ol.list-style-circle>li,
ul.list-style-circle>li {
    list-style: circle !important
}

.list-style-square,
ol.list-style-square,
ul.list-style-square,
ol.list-style-square li,
ul.list-style-square li {
    list-style: square;
}

ol.list-style-square>li,
ul.list-style-square>li{
    list-style: square !important
}

.list-style-decimal,
ol.list-style-decimal,
ul.list-style-decimal,
ol.list-style-decimal li,
ul.list-style-decimal li {
    list-style: decimal;
}

ol.list-style-decimal>li
ul.list-style-decimal>li {
    list-style: decimal !important
}

.list-style-lower-roman,
ol.list-style-lower-roman,
ul.list-style-lower-roman,
ol.list-style-lower-roman li,
ul.list-style-lower-roman li {
    list-style: lower-roman;
}

ol.list-style-lower-roman>li
ul.list-style-lower-roman>li {
    list-style: lower-roman !important
}

.list-style-upper-roman,
ol.list-style-upper-roman,
ul.list-style-upper-roman,
ol.list-style-upper-roman li,
ul.list-style-upper-roman li {
    list-style: upper-roman;
}

ol.list-style-upper-roman>li
ul.list-style-upper-roman>li {
    list-style: upper-roman !important
}

.list-style-lower-latin,
ol.list-style-lower-latin,
ul.list-style-lower-latin,
ol.list-style-lower-latin li,
ul.list-style-lower-latin li {
    list-style: lower-latin;
}

ol.list-style-lower-latin>li
ul.list-style-lower-latin>li {
    list-style: lower-latin !important
}

.list-style-upper-latin,
ol.list-style-upper-latin,
ul.list-style-upper-latin,
ol.list-style-upper-latin li,
ul.list-style-upper-latin li {
    list-style: upper-latin;
}

ol.list-style-upper-latin>li
ul.list-style-upper-latin>li {
    list-style: upper-latin !important
}

.list-style-disc,
.list-style-decimal,
.list-style-lower-roman,
.list-style-upper-roman,
.list-style-lower-latin,
.list-style-upper-latin,
ol.list-style-disc,
ul.list-style-disc,
ol.list-style-circle,
ul.list-style-circle,
ol.list-style-square,
ul.list-style-square,
ol.list-style-decimal,
ul.list-style-decimal,
ol.list-style-lower-roman,
ul.list-style-lower-roman,
ol.list-style-upper-roman,
ul.list-style-upper-roman,
ol.list-style-lower-latin,
ul.list-style-lower-latin,
ol.list-style-upper-latin,
ul.list-style-upper-latin {
    padding-left: 22px;
}

/* paging */
/* ------------------------------ */

.paging {
    margin: 0;
    padding: 0;
    display: flex;
    display: -ms-flexbox;
    justify-content: center;
}

.paging li+li {
    margin-left: .25rem;
}

.paging a,
.paging a:focus {
    color: #aaa;
    height: 30px;
    display: block;
    min-width: 30px;
    padding-top: 4px;
    padding-left: 5px;
    padding-right: 5px;
    text-align: center;
    border-radius: .2rem;
}

.paging .next,
.paging .prev {
    width: 30px;
    height: 30px;
}

.paging a:hover,
.paging .next:hover,
.paging .prev:hover {
    color: #999;
    background: #eee;
}

.paging .active a,
.paging a.active {
    color: #fff;
    background: #e64628;
}

.paging .page-ellipse {
    width: 15px;
    color: #ccc;
    height: 30px;
    display: block;
    padding-top: 4px;
}

@media (min-width: 992px) {
    .paging a,
    .paging a:focus {
        padding-top: 2px;
    }

    .paging .page-ellipse {
        display: none;
    }
}

/* css toggle btn */
/* ------------------------------ */

.btn-top-toggle {
    width: 50px;
    height: 50px;
    position: relative;
}

.angle-up span,
.angle-down span,
.angle-left span,
.angle-right span,
.angle-toggle span {
    height: 4px;
    display: block;
    background: #fff;
    position: absolute;
    border-radius: 1px;
    transition: all .20s ease-in-out;
    -o-transition: all .20s ease-in-out;
    -ms-transition: all .20s ease-in-out;
    -moz-transition: all .20s ease-in-out;
    -webkit-transition: all .20s ease-in-out;
}

/* angle arrow */

.angle-up span,
.angle-down span,
.angle-left span,
.angle-right span {
    width: 14px;
}

.angle-right span:nth-child(1),
.angle-left.active span:nth-child(1) {
    top: calc(50% - 2px - 4px);
    left: calc(50% - 7px);
    transform: rotate(45deg);
}

.angle-right span:nth-child(2),
.angle-left.active span:nth-child(2) {
    top: calc(50% - 2px + 4px);
    left: calc(50% - 7px);
    transform: rotate(-45deg);
}

.angle-left span:nth-child(1),
.angle-right.active span:nth-child(1) {
    top: calc(50% - 2px - 4px);
    left: calc(50% - 7px);
    transform: rotate(-45deg);
}

.angle-left span:nth-child(2),
.angle-right.active span:nth-child(2) {
    top: calc(50% - 2px + 4px);
    left: calc(50% - 7px);
    transform: rotate(45deg);
}

.angle-up span:nth-child(1),
.angle-down.active span:nth-child(1) {
    top: calc(50% - 2px);
    left: calc(50% - 7px + 4px);
    transform: rotate(45deg);
}

.angle-up span:nth-child(2),
.angle-down.active span:nth-child(2) {
    top: calc(50% - 2px);
    left: calc(50% - 7px - 4px);
    transform: rotate(-45deg);
}

.angle-down span:nth-child(1),
.angle-up.active span:nth-child(1) {
    top: calc(50% - 2px);
    left: calc(50% - 7px + 4px);
    transform: rotate(-45deg);
}

.angle-down span:nth-child(2),
.angle-up.active span:nth-child(2) {
    top: calc(50% - 2px);
    left: calc(50% - 7px - 4px);
    transform: rotate(45deg);
}

/* angle toggle */

.angle-toggle span {
    width: 20px;
}

.angle-toggle span:nth-child(1) {
    top: calc(40% - 2px );
    left: calc(50% - 10px);
}

.angle-toggle span:nth-child(2) {
    top: calc(60% - 2px);
    left: calc(50% - 10px);
}

.angle-toggle.active span:nth-child(1) {
    top: calc(50% - 2px);
    transform: rotate(-45deg);
}

.angle-toggle.active span:nth-child(2) {
    top: calc(50% - 2px);
    transform: rotate(45deg);
}

/* ul-table */
/* ------------------------------ */

.ul-table {
    border-bottom: 1px solid #dee2e6;
}

.ul-table .ul-tr {
    padding: .75rem 0;
    border-top: 1px solid #dee2e6;
}

.ul-table .ul-thead {
    display: none;
}

.ul-table .ul-body li {
    display: flex;
    display: -ms-flexbox;
}

.ul-table .ul-body li label {
    color: #999;
    width: 100px;
    display: block;
    margin-bottom: 0;
}

@media (max-width: 991px) {

    /* display option */

    .ul-table .d-none-mobile {
        display: none;
    }
}

@media (min-width: 992px) {

    .ul-table .ul-tr {
        padding: 0;
        display: flex;
        text-align: center;
        display: -ms-flexbox;
    }

    .ul-table .ul-tr li div {
        width: 100%;
    }

    .ul-table .ul-thead {
        display: block;
    }

    .ul-table .ul-thead li {
        display: block;
        background: #f9f9f9;
        padding: .7rem .75rem;
    }

    .ul-table .ul-body li {
        padding: .6rem .75rem;
    }

    .ul-table .ul-body li label {
        display: none;
    }

    /* display option */

    .ul-table .d-none-desktop {
        display: none;
    }

    /* cell width setting */

    .ul-table ul>li:nth-child(1) {
        width: 150px;
    }

    .ul-table ul>li:nth-child(2) {
        flex: 1;
    }
}

/* ad-mrkang@naver.com */